# Uses of Enum Class
com.logicaldoc.core.security.SessionStatus

Packages that use SessionStatus
Package
Description
com.logicaldoc.core.security
Container of the security-related interfaces and classes

## Uses of SessionStatus in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security that return SessionStatus
Modifier and Type
Method
Description
`SessionStatus`
Session.`getStatus()`
`SessionStatus`
SessionManager.`getStatus(String sid)`
`static SessionStatus`
SessionStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SessionStatus[]`
SessionStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.security with parameters of type SessionStatus
Modifier and Type
Method
Description
`int`
HibernateSessionDAO.`countSessions(Long tenantId, SessionStatus status)`
`int`
HibernateSessionDAO.`countSessions(String username, SessionStatus status)`
`int`
SessionDAO.`countSessions(Long tenantId, SessionStatus status)`
Counts the number of sessions.
`int`
SessionDAO.`countSessions(String username, SessionStatus status)`
Counts the number of sessions.
`void`
Session.`setStatus(SessionStatus status)`